window.PDDJSPerformance || (function() {
    var monitor = {
        init: function() {
            this.init = null;
            this.monitorDOMReady();
        },
        monitorDOMReady: function() {
            var t = this;
            var readyTag = /complete|loaded|interactive/;
            if (readyTag.test(document.readyState)) {
                t.sendMessage('performance', {
                  domReady : new Date().getTime()
                });
            } else {
                document.addEventListener("DOMContentLoaded",
                function(event) {
                    t.sendMessage('performance', {
                        domReady : new Date().getTime()
                    });
                },
                true);
            }
        },
        sendMessage: function(tag, obj) {
            tag = tag || 'performance';
            var callID = new Date().getTime();
            if (window._fastJsN) {
                window._fastJsN.callNative('JSWeb', tag, obj ? JSON.stringify(obj) : null, callID);
            } else {
               var url = 'pinbridge:///request?t=JSWeb&m=performance' + '&p=' + encodeURIComponent(JSON.stringify(obj)) + '&c=' + callID;
               alert(url);
            }
        },
    };
    monitor.init();
    window.PDDJSPerformance = {
        sendMessage: function(tag, obj) {
            monitor.sendMessage(tag, obj);
        },
        version: '1.0'
    };
})();